summaryrefslogtreecommitdiffstats
path: root/games/vbam-libretro/vbam-libretro.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/vbam-libretro/vbam-libretro.SlackBuild')
-rw-r--r--games/vbam-libretro/vbam-libretro.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/games/vbam-libretro/vbam-libretro.SlackBuild b/games/vbam-libretro/vbam-libretro.SlackBuild
index 792fbf9d21..4b7958f689 100644
--- a/games/vbam-libretro/vbam-libretro.SlackBuild
+++ b/games/vbam-libretro/vbam-libretro.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for vbam-libretro
-# Copyright 2016 Hunter Sezen
+# Copyright 2016-2017 Hunter Sezen
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=vbam-libretro
LIBNAM=$(echo $PRGNAM | tr - _)
-VERSION=${VERSION:-2016.12.15_f3d150b}
+VERSION=${VERSION:-2017.12.18_5d1cfaa}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,10 +57,9 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
TILED=${TILED:-0}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -75,12 +74,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make -C src/libretro DEBUG=$DEBUG TILED_RENDERING=$TILED
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
+make -C src/libretro DEBUG=$DEBUG TILED_RENDERING="$TILED"
install -Dm0644 src/libretro/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = "0" ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi